<?php $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'blog-wide'); 
global $vidi_options;
?>
<div class="row">
    <div class="col-md-11">
		<?php if(get_post_meta($post->ID, 'vidi_gallery_type', 1) =='Grid'){?>
            <div class="row">
                <div class="vidi_gallery">
					<?php
                    $arr = explode(",", get_post_meta($post->ID, 'image', true));
                    foreach ($arr as &$value) {
						$img = wp_get_attachment_image_src( $value, 'vidi-wall-portfolio-squre' );
                    	$per_row = get_post_meta($post->ID, 'vidi_gallery_per_row', true);
						if($per_row == '2 Images'){$vidi_per_row ='col-md-6 col-sm-6';}
						if($per_row == '3 Images'){$vidi_per_row ='col-md-4 col-sm-4';}
						if($per_row == '4 Images'){$vidi_per_row ='col-md-3 col-sm-3';}
					?>
                    <div class="<?php echo esc_attr($vidi_per_row)?> vidi_gallery_item">
                        <a class="vidi_post_image" href="<?php echo the_permalink(); ?>">
                            <div class="vidi_img_holder">
                                <i class="icon-basic-magnifier-plus"></i>
                            </div>
                             <img class="img-responsive" src="<?php echo esc_url($img[0])?>" alt="<?php the_title(); ?>" />
                        </a>
                    </div>
                    <?php }; ?>
                    <div class="clearfix"></div>
                </div>
            </div>
        <?php };?>
        <?php if(get_post_meta($post->ID, 'vidi_gallery_type', 1) =='Slider'){?>
                <div class="vidi_gallery_slider">
					<?php
                    $arr = explode(",", get_post_meta($post->ID, 'image', true));
                    foreach ($arr as $value) {
						$img = wp_get_attachment_image_src( $value, 'blog-wide' );
					?>
                        <div>
                        <a class="vidi_post_image" href="<?php echo the_permalink(); ?>"><img class="img-responsive" src="<?php echo esc_url($img[0])?>" alt="<?php the_title(); ?>" /></a>
                        </div>
                    <?php }; ?>
                </div>
        <?php };?>
        
        
        <h3 class="vidi_blog_title"><a class="blog_title_a" href="<?php echo the_permalink(); ?>"><?php the_title(); ?> </a></h3>
        <div class="vidi_post_content">
        	<?php the_content(); ?>
    	</div>
        <div class="vidi_blog_meta">
        	<span><?php esc_html_e('By','vidi')?> <?php the_author(); ?></span>
        	<span><?php the_category(' '); ?></span>
            <span><?php the_tags(' '); ?></span>
       </div>
    </div>
    <div class="col-md-1">
    	<div class="vidi_meta_side">
            <span class="vidi_meta_side_time_d"><?php echo get_the_date( 'd' ); ?></span>
            <span class="vidi_meta_side_time_y"><?php echo get_the_date( 'M' ); ?></span>
        </div>
    </div>
</div>
