<?php $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'blog-wide'); 
global $vidi_options;
?>
<div class="row">
    <div class="col-md-11">
        <?php if ($large_image_url[0] != '') {?>
                    <div class="post-thumbnail">
                      <div class="single-item"></div>
                      <div class="single-action">
                        <span><a href="<?php echo the_permalink(); ?>"><i class="icon-basic-magnifier-plus"></i></a></span>
                      </div>
                 <img class="img-responsive" src="<?php echo esc_url($large_image_url[0]); ?>" alt="<?php the_title(); ?>" />
                    </div>

        <?php }; ?>
        <div class="clearfix"></div>
        <h3 class="vidi_blog_title"><a class="blog_title_a" href="<?php echo the_permalink(); ?>"><?php the_title(); ?> </a></h3>
        <div class="vidi_post_content">
        	<?php the_content(); ?>
    	</div>
        <div class="vidi_blog_meta">
        	<span><?php esc_html_e('By','vidi')?> <?php the_author(); ?></span>
        	<span><?php the_category(' '); ?></span>
            <span><?php the_tags(' '); ?></span>
       </div>
    </div>
	<div class="col-md-1">
    	<div class="vidi_meta_side">
            <span class="vidi_meta_side_time_d"><?php echo get_the_date( 'd' ); ?></span>
            <span class="vidi_meta_side_time_y"><?php echo get_the_date( 'M' ); ?></span>
        </div>
    </div>
</div>