<?php

Redux::setSection( $opt_name, array(
	'title' => __('General Settings', "vidi"),
	'header' => '',
	'desc' => '',
	'icon_class' => 'icon-small',
    'icon' => 'el el-home-alt',
    // 'submenu' => false, // Setting submenu to false on a given section will hide it from the WordPress sidebar menu!
	'fields' => array(

			
			 array(
				'id'       => 'vidi_web_page_layout',
				'type'     => 'switch',
				'title'    => __('WebSite Layout', 'vidi'), 
				// Must provide key => value pairs for select options
				'on'     => 'Boxed', 
				'off'     => 'Full', 
				'default'  => true,
			),			
			
			array(
				'id'       => 'vidi_accent_color',
				'type'     => 'color',
				'compiler' => true, // Use if you want to hook in your own CSS compiler
				'title'    => __('Main accent color', 'vidi'), 
				'subtitle' => __('Pick a color for the theme', 'vidi'),
				'default'  => '#c19f62',
				'validate' => 'color',
			),
		
			
			 array(
				'id'       => 'vidi_page_comments',
				'type'     => 'switch',
				'title'    => __('Show Comments in Pages?', 'vidi'), 
				// Must provide key => value pairs for select options
				'on'     => 'Yes', 
				'off'     => 'No', 
				'default'  => true,
			),			
		
			
			array(
				'id'               => 'vidi_portfolio_link',
				'type'             => 'text',
				'title'            => __('Link To Your Portfolio Page', 'vidi'), 
				'default'          => '#',
			),	
			  
			array(
					'id'=>'vidi_custom_css',
					'type' => 'ace_editor',
					'mode' => 'css',
					'compiler' => true,
					'theme' => 'monokai',
					'title' => __('Custom CSS', "vidi"), 
					'subtitle' => __('Quickly add some CSS to your theme by adding it to this block.', "vidi"),
					'desc' => __('This field is even CSS validated!', "vidi"),
					'validate' => "css",
					'default' => "",
				),
				
				),
			) );