<?php // Template Name: Portfolio ?>
<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>
<?php get_header(); ?>
<div class="container">
<div class="this_page vidi_page_holder">

	<?php if (get_post_meta($post->ID, 'port_layout', 1) == 'Random Thumbnails With Spaces'){?>
	<div class="vidi_r_t_w_s">
    <?php } elseif (get_post_meta($post->ID, 'port_layout', 1) == 'Random Thumbnails Without Spaces') {?>
    <div class="vidi_r_t_wo_s">
    <?php } elseif (get_post_meta($post->ID, 'port_layout', 1) == 'Square Thumbnails Without Spaces') {?>
    <div class="vidi_s_t_wo_s">
    <?php } elseif (get_post_meta($post->ID, 'port_layout', 1) == 'Square Thumbnails With Spaces') {?>
    <div class="vidi_s_t_w_s">
    <?php } elseif (get_post_meta($post->ID, 'port_layout', 1) == '4 Square Thumbnails With Spaces') {?>
    <div class="vidi_f_s_t_w_s">
    <?php } elseif (get_post_meta($post->ID, 'port_layout', 1) == '4 Square Thumbnails Without Spaces') {?>
    <div class="vidi_f_s_t_wo_s">
    <?php } elseif (get_post_meta($post->ID, 'port_layout', 1) == 'Half Thumbnails With Spaces') {?>
    <div class="vidi_h_t_w_s">
    <?php } elseif (get_post_meta($post->ID, 'port_layout', 1) == 'Half Thumbnails Without Spaces') {?>
    <div class="vidi_h_t_wo_s">
    <?php };?>
    <div>
    <?php if (get_post_meta($post->ID, 'port_page', 1) == 'Top') {?>
    <?php
    if ( have_posts() ) : while ( have_posts() ) : the_post();
    the_content(); 
    endwhile; endif;?>
    <?php }; ?>
    <?php echo  html_entity_decode(get_post_meta($post->ID, 'page-legend', true))?>
    <?php if (get_post_meta($post->ID, 'port_filters', 1) == 'Yes') {?>
    <div class="vidi_port_filter_holder">
        <div class="vidi_port_filter" id="filters">
            <?php $categories = get_categories(array('type' => 'portfolio', 'taxonomy' => 'portfolio-category')); 
                echo "<a href='#' data-filter='*' class='filter_button'>All</a>";
                foreach($categories as $category) {
                    $group = $category->slug;
                    echo "<a href='#' data-filter='.$group' class='filter_button'>".$category->cat_name."</a>";
                }
            ?> 
        </div>
	</div>
    <?php }; ?>
    <?php if (get_post_meta($post->ID, 'port_layout', 1) == 'Random Thumbnails With Spaces'){?>
	<div class="row vidi_port_container">
		<?php include_once("framework/portfolio-loop.php");?>
	</div>
    <?php } elseif (get_post_meta($post->ID, 'port_layout', 1) == 'Random Thumbnails Without Spaces') {?>
    <div class="row vidi_port_container vidi_wall">
		<?php include_once("framework/portfolio-wall-loop.php");?>
	</div>
    <?php } elseif (get_post_meta($post->ID, 'port_layout', 1) == 'Square Thumbnails Without Spaces') {?>
    <div class="row vidi_port_container vidi_wall">
		<?php include_once("framework/portfolio-square-wall-loop.php");?>
	</div>
    <?php } elseif (get_post_meta($post->ID, 'port_layout', 1) == 'Square Thumbnails With Spaces') {?>
    <div class="row vidi_port_container">
		<?php include_once("framework/portfolio-square-loop.php");?>
	</div>
    <?php } elseif (get_post_meta($post->ID, 'port_layout', 1) == '4 Square Thumbnails Without Spaces') {?>
    <div class="row vidi_port_container vidi_wall">
		<?php include_once("framework/portfolio-f-square-wall-loop.php");?>
	</div>
    <?php } elseif (get_post_meta($post->ID, 'port_layout', 1) == '4 Square Thumbnails With Spaces') {?>
    <div class="row vidi_port_container">
		<?php include_once("framework/portfolio-f-square-loop.php");?>
	</div>
    <?php } elseif (get_post_meta($post->ID, 'port_layout', 1) == 'Half Thumbnails With Spaces') {?>
    <div class="row vidi_port_container">
		<?php include_once("framework/half-loop.php");?>
	</div>
    <?php } elseif (get_post_meta($post->ID, 'port_layout', 1) == 'Half Thumbnails Without Spaces') {?>
    <div class="row vidi_port_container vidi_wall">
		<?php include_once("framework/half-wall-loop.php");?>
	</div>
    <?php };?>
    <?php wp_reset_query(); ?>
	<?php if (get_post_meta($post->ID, 'port_load_more', 1) == 'Yes') {?>
    <div class="vidi_load_more_holder">
        <?php
			if(get_post_meta($post->ID, 'vidi_tag', 1) =="All"){
			$count_posts = wp_count_posts('portfolio');
			$published_posts = $count_posts->publish;
			}else{
				$taxonomy = "portfolio-tags"; // can be category, post_tag, or custom taxonomy name
				// Using Term Slug
				$term_name = get_post_meta($post->ID, 'vidi_tag', 1);
				$term = get_term_by('name', $term_name, $taxonomy);
				
				// Fetch the count
				$published_posts = $term->count;
			};
		?>
        


        <a id="load_more_port_masorny_posts" data-tag="<?php echo get_post_meta($post->ID, 'vidi_tag', 1)?>" data-offset="<?php echo esc_attr(get_post_meta($post->ID, 'port-count', true)); ?>" data-layout-mode="<?php echo esc_attr(get_post_meta($post->ID, 'port_layout', 1)) ?>" data-load-posts_count="<?php echo (get_post_meta($post->ID, 'port-load_count', true)); ?>"  class="vidi_load_more"><?php _e("Load More ", "vidi-corporate-portfolio-theme");?></a>


    </div>
    <?php };?>
    <?php if (get_post_meta($post->ID, 'port_page', 1) == 'Bottom') {?>
    <div style="margin-top:40px;">
    <?php
    if ( have_posts() ) : while ( have_posts() ) : the_post();
    the_content(); 
    endwhile; endif;?>
    </div>
    <?php }; ?>
    </div>
    </div>
  </div>  
    <!--<a class="vidi_full_btn" href="#">View our entire WordPress theme collection →</a>-->
   </div>
<?php get_footer();?>