<?php 
/*Console Text*/
add_shortcode('vidi_console_text', 'vidi_console_text_f');
function vidi_console_text_f( $atts, $content = null)
{
	extract(shortcode_atts(
		array(
			'vidi_text_1' => "I am <i>Charles Montgomery</i>,",
			'vidi_text_2' => "Miami based. French <i>designer</i>,",
			'vidi_text_3' => "with <i>15 years</i> of experiences",
		), $atts)
	);
	$output ="
        <h1 class='vidi_text'>
            <span id='typed'></span>
        </h1>

	<script>
    jQuery(function(){
        jQuery('#typed').typed({
					strings: ['$vidi_text_1<br>$vidi_text_2<br>$vidi_text_3'],
                    contentType: 'html', // or 'text'
                    typeSpeed: 30,
                    callback: function(){
                        lift();
                    }

        });
    });
        function lift(){
        jQuery('.vidi_text').addClass('vidi_conosle_done_text');
    }
</script>";
	return $output;
};

/*Console Text*/
vc_map( array(
	"name" => __("Console Text",'vidi'),
	"base" => "vidi_console_text",
	"category" => __('Vidi','vidi'), 
	"params" => array(
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_text_1",
			"heading" => __("First line", 'vidi'),
			"value" => "I am <i>Charles Montgomery</i>,",
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_text_2",
			"heading" => __("Second line", 'vidi'),
			"value" => "Miami based. French <i>designer</i>,",
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_text_3",
			"heading" => __("Third line", 'vidi'),
			"description" => __("Mark word or words in tag 'i' for line after finish", 'vidi'),
			"value" => "with <i>15 years</i> of experiences",
		),
	)
) );