<?php 
/*Fun Facts*/
add_shortcode('vidi_fun', 'vidi_fun');
function vidi_fun( $atts, $content = null)
{

	extract(shortcode_atts(
		array(
			'vidi_fun_icon' => 'icon-basic-heart',
			'vidi_fun_count' => '841',
			'vidi_fun_text' => 'Happy Clients',
			"css" => null
		), $atts)
	);


	$output ='<div class="stats-vidi">
                  <div class="stats-block stats-top">
                    <div class="stats-desc">
                      <div class="stats-icon-effect"><div class="stats-icon"><i class="'. esc_attr($vidi_fun_icon) .'"></i></div></div>
                      <div class="stats-number number-counter" data-number="'. esc_attr($vidi_fun_count) .'"><span class="number-count">'. esc_attr($vidi_fun_count) .'</span></div>
                      <div class="stats-text">'. esc_attr($vidi_fun_text) .'</div>
                    </div>
                  </div>
                </div>';
	return $output;


};

/*Fun Facts*/
vc_map( array(
	"name" => __("Fun Facts",'vidi'),
	"base" => "vidi_fun",
	"category" => __('Vidi','vidi'),
	"params" => array(
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_fun_icon",
			"heading" => __("Text", 'vidi'),
			"value" => 'icon-basic-heart',
			"description" => __( 'Select icon from <a href="https://dankov-themes.com/icon/vidi" target="_blank">here</a>.', 'vidi' ),
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_fun_count",
			"heading" => __("Text", 'vidi'),
			"value" => '841',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_fun_text",
			"heading" => __("Text", 'vidi'),
			"value" => 'Happy Clients',
		),
	)
) );


