<?php 
/*Promo Title*/
add_shortcode('vidi_promo', 'vidi_promo_f');
function vidi_promo_f( $atts, $content = null)
{

	extract(shortcode_atts(
		array(
			'vidi_promo_text' => 'Our Portfolio',
			'vidi_promo_paragraph' => 'Attended no do thoughts me on dissuade scarcely',
			'smaller' => null,
			'centr' => null,
			"css" => null
		), $atts)
	);

    if ($smaller) $smaller = 'smaller';
    if ($centr) $centr = 'centr';

	$output ='<div class="promo-block '. esc_attr($centr) .'">
					<div class="'. esc_attr($smaller) .'">
                	<div class="center-line">
						<h1 class="promo-text">'. esc_attr($vidi_promo_text) .'</h1>
                	</div>
                	<div class="promo-paragraph">'. esc_attr($vidi_promo_paragraph) .'</div>
              	</div>
              </div>';
	return $output;


};


/*Promo Title*/
vc_map( array(
	"name" => __("Promo Title",'vidi'),
	"base" => "vidi_promo",
	"category" => __('Vidi','vidi'),
	"params" => array(
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_promo_text",
			"heading" => __("Text", 'vidi'),
			"value" => 'Our Portfolio',
		),
		array(
			"type" => "textarea",
			"admin_label" => true,
			"param_name" => "vidi_promo_paragraph",
			"heading" => __("Paragraph", 'vidi'),
			"value" => 'Attended no do thoughts me on dissuade scarcely',
		),

                    array(
                        "type" => "checkbox",
                        "heading" => __("Smaller size", 'vidi'),
                        "param_name" => "smaller",
                        "value" => array("Yes" => true),
                    ),	

                    array(
                        "type" => "checkbox",
                        "heading" => __("Center", 'vidi'),
                        "param_name" => "centr",
                        "value" => array("Yes" => true),
                    ),				
		
	)
) );


