<?php 
/*Services Block*/
add_shortcode('vidi_services_block', 'vidi_services_block_f');
function vidi_services_block_f( $atts, $content = null)
{

	extract(shortcode_atts(
		array(
			'vidi_services_block_icon' => 'icon-basic-picture-multiple',
			'vidi_services_block_name' => 'Photography',
			'vidi_services_block_number' => '01',
			'vidi_services_block_text' => 'In this article I want to compare traditional long, slow cardio with interval training for fat loss from a fat',
			"css" => null
		), $atts)
	);


				$output ='<div class="other-serv">
                <div class="serv-icon"><i class="'. esc_attr($vidi_services_block_icon) .'"></i></div>
                <div class="serv-block-list"><h2 class="serv-name">'. esc_attr($vidi_services_block_name) .'</h2><span>'. esc_attr($vidi_services_block_number) .'</span><p class="serv-desc">'. esc_attr($vidi_services_block_text) .'</p></div>
              </div>';
              return $output;


};


/*Services Block*/
vc_map( array(
	"name" => __("Services Block",'vidi'),
	"base" => "vidi_services_block",
	"category" => __('Vidi','vidi'),
	"params" => array(
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_services_block_icon",
			"heading" => __("Icon", 'vidi'),
			"value" => 'icon-basic-picture-multiple',
			'description' => __( 'Select icon from <a href="https://dankov-themes.com/icon/vidi/" target="_blank">here</a>.', 'vidi' ),
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_services_block_name",
			"heading" => __("Name", 'vidi'),
			"value" => 'Photography',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_services_block_number",
			"heading" => __("Number", 'vidi'),
			"value" => '01',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_services_block_text",
			"heading" => __("Text", 'vidi'),
			"value" => 'In this article I want to compare traditional long, slow cardio with interval training for fat loss from a fat',
		),

	)
) );

