<?php $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'vidi-wall-portfolio-squrex2'); 
global $vidi_options;

$post_id = get_the_id();
$format = get_post_format( $post_id );

?>
<div class="row">
<div class="col-md-6 vidi_chess_img_holder <?php if( $wp_query->current_post%2 == 1 ) {echo ' col-md-push-6';} else {echo 'vidi_left_side_post';};?>">
<?php if ($large_image_url[0] != '') {?>
                    <div class="post-thumbnail">
                      <div class="single-item"></div>
                      <div class="single-action">
                        <span class="<?php echo esc_attr($format) ?>"><a href="<?php echo the_permalink(); ?>"><i class="icon-basic-book-pencil"></i></a></span>
                      </div>
                      <img src="<?php echo esc_url($large_image_url[0]); ?>" alt="">
                    </div>
<?php }else{ ?>
<img class="img-responsive" src="<?php echo get_template_directory_uri().'/framework/images/noimage-s.jpg'?>">
<?php };?>
</div>
<div class="col-md-6 <?php if( $wp_query->current_post%2 == 1 ) echo ' col-md-pull-6';?>">
    <div class="vidi_chess_content">
        <h3 class="vidi_blog_title"><a class="blog_title_a" href="<?php echo the_permalink(); ?>"><?php the_title(); ?> </a></h3>
            <div class="vidi_post_content">
                <?php the_content(); ?>
            </div>
            <div class="vidi_blog_meta">
            	<span><?php the_time( get_option( 'date_format' ) ); ?></span>
                <span><?php the_category(' '); ?></span>
           </div>
        </div>
    </div>
</div>