<?php $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'blog-wide'); 
global $vidi_options;

$post_id = get_the_id();
$format = get_post_format( $post_id );


?>
<div class="row">
    <div class="col-md-12">

		
		<?php if(get_post_meta($post->ID, 'vidi_gallery_type', 1) =='Grid'){?>
        <div class="vidi_mas_gal_holder vidi_post_image mas_image">
            <div class="row">
                <div class="vidi_gallery mas_image">
					<?php
                    $arr = explode(",", get_post_meta($post->ID, 'image', true));
                    foreach ($arr as &$value) {
						$img = wp_get_attachment_image_src( $value, 'vidi-wall-portfolio-squre' );
                    	$per_row = get_post_meta($post->ID, 'vidi_gallery_per_row', true);
						if($per_row == '2 Images'){$vidi_per_row ='col-md-6 col-sm-6';}
						if($per_row == '3 Images'){$vidi_per_row ='col-md-4 col-sm-4';}
						if($per_row == '4 Images'){$vidi_per_row ='col-md-3 col-sm-3';}
					?>
                    <div class="<?php echo esc_attr($vidi_per_row)?> vidi_gallery_item">
                        <a class="vidi_post_image mas_image" href="<?php echo the_permalink(); ?>">
                            <div class="vidi_img_holder">
                                <i class="icon-basic-magnifier-plus"></i>
                            </div>
                             <img class="img-responsive" src="<?php echo esc_url($img[0])?>" alt="<?php the_title(); ?>" />
                        </a>
                    </div>
                    <?php }; ?>
                    <div class="clearfix"></div>
                </div>
            </div>
            </div>
        <?php };?>
        
        <?php if(get_post_meta($post->ID, 'vidi_gallery_type', 1) =='Slider'){?>
        	<div class="vidi_mas_gal_holder_slider">
                <div class="vidi_gallery_slider slider-blog">
					<?php
                    $arr = explode(",", get_post_meta($post->ID, 'image', true));
                    foreach ($arr as $value) {
						$img = wp_get_attachment_image_src( $value, 'blog-wide' );
					?>
                        <div>
                        <a class="vidi_post_image mas_image" href="<?php echo the_permalink(); ?>"><img class="img-responsive" src="<?php echo esc_url($img[0])?>" alt="<?php the_title(); ?>" /></a>
                        </div>
                    <?php }; ?>
                </div>
                <div class="clearfix"></div>
                </div>
        <?php };?>
        <div class="vidi_mas_content">
            <h4 class="vidi_blog_title vidi_mas_title"><a class="blog_title_a" href="<?php echo the_permalink(); ?>"><?php the_title(); ?> </a></h4>
            <div class="vidi_blog_meta vidi_mas_meta">
                <span><?php the_time( get_option( 'date_format' ) ); ?></span>
                <span><?php esc_html_e('By','vidi')?> <?php the_author(); ?></span>
                <span><?php the_category(' '); ?></span>
                <span><?php the_tags(' '); ?></span>
            </div>
            <div class="vidi_post_content">
            <?php the_content(); ?>
            </div>
        </div>
    </div>
   
</div>