<?php $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'blog-wide'); 
global $vidi_options;

$post_id = get_the_id();
$format = get_post_format( $post_id );


?>
<div class="row">
    <div class="col-md-12">

		<?php if ($large_image_url[0] != '') {?>
                    <div class="post-thumbnail">
                      <div class="single-item"></div>
                      <div class="single-action">
                        <span class="<?php echo esc_attr($format) ?>"><a href="<?php echo the_permalink(); ?>"><i class="icon-basic-video"></i></a></span>
                      </div>
                      <img src="<?php echo esc_url($large_image_url[0]); ?>" alt="">
                    </div>
        <?php }; ?>
    <div class="vidi_mas_content">
		<h4 class="vidi_blog_title vidi_mas_title"><a class="blog_title_a" href="<?php echo the_permalink(); ?>"><?php the_title(); ?> </a></h4>
		<div class="vidi_blog_meta vidi_mas_meta">
        	<span><?php the_time( get_option( 'date_format' ) ); ?></span>
        	<span><?php esc_html_e('By','vidi')?> <?php the_author(); ?></span>
        	<span><?php the_category(' '); ?></span>
            <span><?php the_tags(' '); ?></span>
       </div>
        <div class="vidi_post_content">
        	<?php the_content(); ?>
    	</div>
    </div>
    </div>
</div>