<?php $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'vidi-wall-portfolio-squre'); 
global $vidi_options;

$post_id = get_the_id();
$format = get_post_format( $post_id );

?>
<div class="vidi_mini_holder">
<div class="row">
	<?php if ($large_image_url[0] != '') {?>
    <div class="col-md-5 col-sm-5">
                    <div class="post-thumbnail">
                      <div class="single-item"></div>
                      <div class="single-action">
                        <span class="<?php echo esc_attr($format) ?>"><a href="<?php echo the_permalink(); ?>"><i class="icon-basic-book-pencil"></i></a></span>
                      </div>
                      <img src="<?php echo esc_url($large_image_url[0]); ?>" alt="">
                    </div>
    </div>
    <?php }; ?>
    <div class="<?php if ($large_image_url[0] != '') {echo 'col-md-7  col-sm-7'; }else{ echo 'col-md-12';}; ?>">
        <h3 class="vidi_blog_title"><a class="blog_title_a" href="<?php echo the_permalink(); ?>"><?php the_title(); ?> </a></h3>
        <div class="vidi_post_content">
        	<?php the_content(); ?>
    	</div>
        <div class="vidi_blog_meta">
          <span><?php the_time(get_option( 'date_format' ));?></span>
          <span><?php esc_html_e('By','vidi')?> <?php the_author(); ?></span>
        	<span><?php the_category(' '); ?></span>
            <span><?php the_tags(' '); ?></span>
       </div>
    </div>
</div>
</div>