<?php $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), ''); 
global $vidi_options;
?>


<div class="row">
    <div class="col-md-12">
		<?php if(get_post_meta($post->ID, 'vidi_gallery_type', 1) =='Grid'){?>
            <div class="row">
                <div class="vidi_gallery">
					<?php
                    $arr = explode(",", get_post_meta($post->ID, 'image', true));
                    foreach ($arr as &$value) {
						$img = wp_get_attachment_image_src( $value, 'vidi-wall-portfolio-squre' );
                    	$per_row = get_post_meta($post->ID, 'vidi_gallery_per_row', true);
						if($per_row == '2 Images'){$vidi_per_row ='col-md-6';}
						if($per_row == '3 Images'){$vidi_per_row ='col-md-4';}
						if($per_row == '4 Images'){$vidi_per_row ='col-md-3';}
					?>
                    <div class="<?php echo esc_attr($vidi_per_row)?> vidi_gallery_item">
                             <img class="img-responsive" src="<?php echo esc_url($img[0])?>" alt="<?php the_title(); ?>" />
                    </div>
                    <?php }; ?>
                    <div class="clearfix"></div>
                </div>
            </div>
        <?php };?>
        <?php if(get_post_meta($post->ID, 'vidi_gallery_type', 1) =='Slider'){?>
                <div class="vidi_gallery_slider slider-blog">
					<?php
                    $arr = explode(",", get_post_meta($post->ID, 'image', true));
                    foreach ($arr as $value) {
						$img = wp_get_attachment_image_src( $value, 'blog-wide' );
					?>
                        <div>
                        <a class="vidi_post_image" href="<?php echo the_permalink(); ?>"><img class="img-responsive" src="<?php echo esc_url($img[0])?>" alt="<?php the_title(); ?>" /></a>
                        </div>
                    <?php }; ?>
                </div>
        <?php };?>
                <div class="clearfix"></div><br>
        <div class="vidi_post_content">
        	<?php the_content(); ?>
            <?php $defaults = array( 'link_before' => '<span>', 'link_after'  => '</span>','before'   => '<div class="vidi_pg_single" >',  'after' => '</div>',); wp_link_pages( $defaults );?>
        </div>
        <div class="vidi_blog_meta vidi_mas_meta vidi_bottom_mas_meta">
            <span><?php the_time( get_option( 'date_format' ) ); ?></span>
            <span><?php esc_html_e('By','vidi')?> <?php the_author(); ?></span>
            <span><?php the_category(' '); ?></span>
            <?php if ( has_tag() ) : ?>
                <span><a href="<?php echo get_tag_link(1); ?>"><?php the_tags('Tags: '); ?></a></span>
            <?php endif; ?>
            <span class="vidi_share_text"><?php esc_html_e('Share: ','vidi')?> 
                <a href="http://www.linkedin.com/shareArticle?mini=true&url=<?php the_permalink()?>" title="LinkedIn" target="_blank"><i class="fa fa-linkedin"></i></a>
                <a href="http://www.facebook.com/sharer.php?u=<?php the_permalink()?>" title="Facebook" target="_blank"><i class="fa fa-facebook"></i></a>
                <a href="https://twitter.com/share?url=<?php the_permalink()?>" title="Facebook" target="_blank"><i class="fa fa-twitter"></i></a>
                <a href="https://plus.google.com/share?url=<?php the_permalink()?>" title="Google+" target="_blank"><i class="fa fa-google-plus"></i></a>
			</span>
        </div>
        <div class="single_post_bottom_sidebar_holder">
        	<?php comments_template(); ?>
        </div>
    </div>
</div>
