<?php

Redux::setSection( $opt_name, array(
	'title' => __('Blog Settings', "vidi"),
	'header' => '',
	'desc' => '',
	'icon_class' => 'icon-large',
    'icon' => 'el el-file-edit-alt',
    // 'submenu' => false, // Setting submenu to false on a given section will hide it from the WordPress sidebar menu!
	'fields' => array(
	array(
		'id'       => 'vidi_blog_settings',
		'type'     => 'select',
		'title'    => __('Blog Layout', 'vidi'), 
		'desc'     => __('', 'vidi'),
		'options'  => array(
			'vidi_blog_rs' => 'Standard Blog: Right Sidebar',
			'vidi_blog_ls' => 'Standard Blog: Left Sidebar',
			'vidi_blog_chess' => 'Portfolio Blog: Chess Style',
			'vidi_blog_chess_rs' => 'Portfolio Blog: Chess Style Right Sidebar',
			'vidi_blog_chess_ls' => 'Portfolio Blog: Chess Style Left Sidebar',
			'vidi_blog_mini_rs' => 'Corporate Blog: Right Sidebar',
			'vidi_blog_mini_ls' => 'Corporate Blog: Left Sidebar',
			'vidi_blog_masonry_2col' => 'Personal Blog: Masonry 2 Columns',
			'vidi_blog_masonry_3col' => 'Personal Blog: Masonry 3 Columns',
			'vidi_blog_masonry_rs' => 'Personal Blog: Masonry Right Sidebar',
			'vidi_blog_masonry_ls' => 'Personal Blog: Masonry Left Sidebar',
			),
		'default'  => 'vidi_blog_chess',
		),
		array(
				'id'               => 'vidi_blog_link',
				'type'             => 'text',
				'title'            => __('Link To Your Blog Page', 'vidi'), 
				'default'          => '#',
		),
	)
) );