<?php

Redux::setSection( $opt_name, array(
	'title' => __('Logo & Favicon', "vidi"),
	'header' => '',
	'desc' => '',
	'icon_class' => 'icon-large',
    'icon' => 'el el-star-alt',
    // 'submenu' => false, // Setting submenu to false on a given section will hide it from the WordPress sidebar menu!
	'fields' => array(
			
		array(
			'id'=>'vidi_logo_upload',
			'type' => 'media', 
			'url'=> true,
			'title' => __('Logo Upload', "vidi"),
			'desc'=> __('Upload your logo or paste the url', "vidi"),
			'subtitle' => __('Upload image using the native media uploader, or define the URL directly', "vidi"),
			'default'=>array('url'=> $theme_path_images . 'logo.png' ),
		),
		
		array(
			'id'=>'vidi_logo_upload_retina',
			'type' => 'media', 
			'url'=> true,
			'title' => __('Logo Retina Upload', "vidi"),
			'desc'=> __('Upload your retina logo or paste the url', "vidi"),
			'subtitle' => __('Upload image using the native media uploader, or define the URL directly', "vidi"),
			'default'=>array('url'=> $theme_path_images . 'logo@2x.png' ),
		),	
			array(
				'id'=>'vidi_header_favicon',
				'type' => 'media', 
				'url'=> true,
				'title' => __('Favicon Upload (16x16)', "vidi"),
				'desc'=> __('Upload your favicon the url', "vidi"),
				'subtitle' => __('Upload image using the native media uploader, or define the URL directly', "vidi"),
				'default'=>array('url'=> $theme_path_images . 'favicon.png' ),
			),
			array(
				'id'=>'vidi_favicon_retina_iphone',
				'type' => 'media', 
				'url'=> true,
				'title' => __('iPhone Favicon Upload (114x114)', "vidi"),
				'desc'=> __('Upload your favicon the url for iPhone', "vidi"),
				'subtitle' => __('Upload image using the native media uploader, or define the URL directly', "vidi"),
				'default'=>array('url'=> $theme_path_images . 'apple-touch-icon-114x114-precomposed.png' ),
			),
			array(
				'id'=>'vidi_favicon_retina_ipad',
				'type' => 'media', 
				'url'=> true,
				'title' => __('iPad Favicon Upload (144x144)', "vidi"),
				'desc'=> __('Upload your favicon the url for iPad', "vidi"),
				'subtitle' => __('Upload image using the native media uploader, or define the URL directly', "vidi"),
				'default'=>array('url'=> $theme_path_images . 'apple-touch-icon-144x144-precomposed.png' ),
			),

				
				),
			) );


