// PORTFOLIO FILTERING - ISOTOPE
//**********************************
jQuery.noConflict()(function($){
"use strict";

var $container = $('.vidi_port_container');
		
if($container.length) {
	//$('.vidi_portfolio_page_holder').css('min-height',$(window).height())
	$container.waitForImages(function() {
		
		// initialize isotope
		$container.isotope({
		  itemSelector : '.vidi_strange_portfolio_item',
		  layoutMode : 'masonry',
		});
		
		$('#filters a:first-child').addClass('filter_current');
		// filter items when filter link is clicked
		$('#filters a').click(function(){
		  var selector = $(this).attr('data-filter');
		  $container.isotope({ filter: selector });
		  $(this).removeClass('filter_button').addClass('filter_button filter_current').siblings().removeClass('filter_button filter_current').addClass('filter_button');
		  
		  return false;
		});
		
	},null,true);
}});

// Load More Masorny PORTFOLIO
//**********************************

jQuery.noConflict()(function($){
"use strict";

	$( "#load_more_port_masorny_posts" ).each(function() {
		$(this).click(function(e) {
				var tempurl = vidi_theme_plugin.theme_url;
				var url = tempurl+'/framework/ajax-portfolio.php';
				var offset = $( "#load_more_port_masorny_posts" ).attr('data-offset');
				var load_posts_count = $( "#load_more_port_masorny_posts" ).attr('data-load-posts_count');
				var layout_mode = $( "#load_more_port_masorny_posts" ).attr('data-layout-mode');
				var column_count = '123';
				var tag = $( "#load_more_port_masorny_posts" ).attr('data-tag');
				
				column_count = parseInt(column_count,10)
				offset = parseInt(offset,10)
				load_posts_count = parseInt(load_posts_count,10)
				
				var vidi_mas_post_count = $('.vidi_strange_portfolio_item').length;
				$('#load_more_port_masorny_posts:not(disabled)').html('<span style=""> <i class="fa fa-spinner fa-spin"></i></span>');
				$('#load_more_port_masorny_posts').addClass('do_not_hover');
				$.get
				  (
				  vidi_theme_plugin.ajax_url,{'action': 'ajax_request', 'vidi_modal' : offset.toString(), 'vidi_post_count' : vidi_mas_post_count.toString(), 'vidi_tag': tag.toString(), 'vidi_load_post_count':load_posts_count.toString(), 'vidi_layout_mode':layout_mode.toString(), 'vidi_column_count':column_count.toString()},function(result,status)
					{
						
						$(result.new_posts).imagesLoaded( function(){
						$('.vidi_port_container').isotope( 'insert', $(result.new_posts) );
						$('.vidi_strange_portfolio_item_holder').css('opacity',1);
						offset = $( "#load_more_port_masorny_posts" ).attr('data-offset',offset + load_posts_count);
						$('#vidi_masorny_posts_per_page').html($('.vidi_strange_portfolio_item').length);
						$('#load_more_port_masorny_posts').html(result.loading)
						$('#load_more_port_masorny_posts').removeClass('do_not_hover');
						if ( parseInt($('#vidi_max_masorny_posts').html()) == $('.vidi_strange_portfolio_item').length ){
							$('#load_more_port_masorny_posts').html('<span style="">THE END</span>');
							$('#load_more_port_masorny_posts').addClass('disabled');
							  	var quotes = new Array('Stop','Do not Click','Nothing Here','Hey?','What?','Are you Crazy?', 'OMG', 'Unbelievable','Get Lost!'),
								randno = quotes[Math.floor( Math.random() * quotes.length )];

							$('.vidi_load_more.disabled').click(function(e){$('#load_more_port_masorny_posts:not(disabled)').html('<span style="">'+randno+'</span>');})
						};
						var target = $('html,body'); 
						target.animate({scrollTop: target.height()}, 1000);
						});
						
						
					},
				  "json"
				 );
			e.preventDefault();
		}); 
	});
	
});

