<?php 
/*Button*/
add_shortcode('vidi_vc_button', 'vidi_vc_button_f');
function vidi_vc_button_f( $atts, $content = null)
{
	
	extract(shortcode_atts(
		array(
			'icon_type' => 'None',
			'vidi_title' => 'Button',
			'vidi_title_size'=>'16px',
			'vidi_title_color'=>'#fff',
			'vidi_bg_color'=>'#000',
			'vidi_url' => '#',
			'vidi_display' => 'block',
			'vidi_target'=>'_self',
			'vidi_padding'=>'10px 20px',
			'vidi_border_w' => '1px',
			'vidi_border_s' => 'solid',
			'vidi_border_c' => '#000',
			'vidi_border_r' => '3px',
			'vidi_title_color_hover'=>'#fff',
			'vidi_bg_color_hover'=>'#00f6ff',
			'vidi_border_c_hover' => '#00f6ff',

		), $atts)
	);
	$content = '';

	$content .='<a class="vidi_vc_button" data-title-color-hover="'.$vidi_title_color_hover.'" data-bg-color-hover="'.$vidi_bg_color_hover.'" data-border-c-hover="'.$vidi_border_c_hover.'"  href="'.$vidi_url.'" target="'.$vidi_target.'" style="display:'.$vidi_display.'; font-size:'.$vidi_title_size.'; line-heigth:'.$vidi_title_size.'; color:'.$vidi_title_color.'; background-color:'.$vidi_bg_color.'; padding:'.$vidi_padding.'; border-width:'.$vidi_border_w.'; border-style:'.$vidi_border_s.'; border-color:'.$vidi_border_c.'; border-radius:'.$vidi_border_r.'">';

	$content .='</a>';
	return $content;
};

/*Button*/
vc_map( array(
	"name" => __("Button",'vidi'),
	"base" => "vidi_vc_button",
	"category" => __('Vidi','vidi'),
	"params" => array(
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_url",
			"heading" => __("URL", 'vidi'),
			"value" => '#',
			"group" => "General"
		),
		array(
			'type' => 'dropdown',
			'heading' => "Target",
			'param_name' => 'vidi_target',
			'value' => array( "_blank", "_self" ),
			'std' => '_self',
			"admin_label" => true,
			"group" => "General"
		),
		array(
			'type' => 'dropdown',
			'heading' => "Display",
			'param_name' => 'vidi_display',
			'value' => array( "block", "inline-block" ),
			'std' => 'block',
			"group" => "General"
		),
		
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_title",
			"heading" => __("Title", 'vidi'),
			"value" => 'Button',
			"group" => "Title"
		),
		
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_title_size",
			"heading" => __("Font Size", 'vidi'),
			"value" => '16px',
			"group" => "Title"
		),
		array(
			"type" => "colorpicker",
			"admin_label" => true,
			"param_name" => "vidi_title_color",
			"heading" => __("Title Color", 'vidi'),
			"value" => '#fff',
			"group" => "Title"
		),
		array(
			"type" => "colorpicker",
			"param_name" => "vidi_title_color_hover",
			"heading" => __("Hover Title Color", 'vidi'),
			"value" => '#fff',
			"group" => "Title"
		),
		
		array(
			"type" => "colorpicker",
			"admin_label" => true,
			"param_name" => "vidi_bg_color",
			"heading" => __("Background Color", 'vidi'),
			"value" => '#000',
			"group" => "Background"
		),
		array(
			"type" => "colorpicker",
			"param_name" => "vidi_bg_color_hover",
			"heading" => __("HOVER Background Color", 'vidi'),
			"value" => '#00f6ff',
			"group" => "Background"
		),
		
		
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_padding",
			"heading" => __("Padding", 'vidi'),
			"value" => '10px 20px',
			"group" => "General"
		),
		
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_border_w",
			"heading" => __("Border Width", 'vidi'),
			"value" => '1px',
			"group" => "Border"
		),

		array(
			"type" => "colorpicker",
			"admin_label" => true,
			"param_name" => "vidi_border_c",
			"heading" => __("Border Color", 'vidi'),
			"value" => '#000',
			"group" => "Border"
		),
		array(
			"type" => "colorpicker",
			"admin_label" => true,
			"param_name" => "vidi_border_c_hover",
			"heading" => __("HOVER Border Color", 'vidi'),
			"value" => '#00f6ff',
			"group" => "Border"
		),
		array(
			'type' => 'dropdown',
			'heading' => "Border Style",
			'param_name' => 'vidi_border_s',
			'value' => array( "solid", "dotted", "dashed"),
			"admin_label" => true,
			"group" => "Border"
		),
		
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_border_r",
			"heading" => __("Border radius", 'vidi'),
			"value" => '3px',
			"group" => "Border"
		),
	)
) );


