<?php
/*GOOGLE MAP*/
add_shortcode('vc_g_map', 'vc_g_map_f');
function vc_g_map_f( $atts, $content = null)
{
	extract(shortcode_atts(
		array(
			'api_key' => null,
			'address' => '7th Ave, New York, NY',
			'zoom' => '13',
			'height' => '450px',
		), $atts)
	);
if($api_key == true) {
  $content ='<div id="map" style="height:'.$height.'"></div>
			   <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key='.$api_key.'"></script>
			   <script>
				jQuery.noConflict()(function($){
				$("#map").gmap3({
					
					marker:{     
					// address:"93 Worth St, New York, NY",
					address :"'.$address.'", 
					options:{ icon: "'.get_template_directory_uri().'/framework/css/img/marker.png"}},
					map:{
					options:{
					zoom: '.$zoom.',
				    disableDefaultUI: true,
				    scrollwheel: false,
					draggable: true }
					}
					});	
				});
				</script>';
} else {
    $content ='<div id="map" style="height:'.$height.'"><p style="text-align: center;margin-bottom: 0;line-height: '.$height.';font-size: 21px;background:#fff;border:2px solid #eee;">Please, set up your API key for display Google Maps.</p></div>';;
};
	return $content;
};

vc_map( array(
	"name" => __("Google Map",'vidi'),
	"base" => "vc_g_map",
	"category" => __('Vidi','vidi'),
	"params" => array(
	    array(
	      "type" => "textfield",
	      "admin_label" => true,
	      "param_name" => "api_key",
	      "heading" => __("API Key", 'vidi'),
	      "description" => 'Enter your own key for enable Google Maps. <a href="https://developers.google.com/maps/documentation/javascript/get-api-key" target="_blank">Create new key.</a>', 'vidi',
	    ),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "address",
			"heading" => __("Addres", 'vidi'),
			"value" => '7th Ave, New York, NY',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "zoom",
			"heading" => __("Zoom", 'vidi'),
			"value" => '13',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "height",
			"heading" => __("Map Height", 'vidi'),
			"value" => '450px',
		),
	)
) );