<?php 
/*Purpose Block*/
add_shortcode('vidi_purpose', 'vidi_purpose');
function vidi_purpose( $atts, $content = null)
{

	extract(shortcode_atts(
		array(
			'vidi_purpose_icon' => 'basic-paperplane',
			'vidi_purpose_title' => 'Our Purpose',
			'vidi_purpose_text' => 'Projecting surrounded literature yet delightful alteration but bed men. Open are from long why cold. If must snug by upon sang loud left. As me do preference it differed repeated property. Extremity now strangers breakfast.',
			"css" => null
		), $atts)
	);


	$output ='<div class="text-block-title">'. esc_attr($vidi_purpose_title) .'</div>
            <div class="text-block-text">'. esc_attr($vidi_purpose_text) .'</div>
            <div class="text-block-icon"><i class="icon-'. esc_attr($vidi_purpose_icon) .'"></i></div>';
	return $output;


};


/*Purpose Block*/
vc_map( array(
	"name" => __("Purpose Block",'vidi'),
	"base" => "vidi_purpose",
	"category" => __('Vidi','vidi'),
	"params" => array(
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_purpose_icon",
			"heading" => __("Text", 'vidi'),
			"value" => 'basic-paperplane',
			"description" => __( 'Select icon from <a href="https://dankov-themes.com/icon/vidi/" target="_blank">here</a>.', 'vidi' ),
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_purpose_title",
			"heading" => __("Text", 'vidi'),
			"value" => 'Our Purpose',
		),
		array(
			"type" => "textarea",
			"admin_label" => true,
			"param_name" => "vidi_purpose_text",
			"heading" => __("Text", 'vidi'),
			"value" => 'Projecting surrounded literature yet delightful alteration but bed men. Open are from long why cold. If must snug by upon sang loud left. As me do preference it differed repeated property. Extremity now strangers breakfast.',
		),
	)
) );