<?php 
/*Services*/
add_shortcode('vidi_services', 'vidi_services_f');
function vidi_services_f( $atts, $content = null)
{

	extract(shortcode_atts(
		array(
			'vidi_icons' => 'icon-ecommerce-diamond',
			'vidi_name' => 'Minimal Design',
			'vidi_text' => 'Remainder household zealously the own unwilling roused escalate beautiful',
			"css" => null
		), $atts)
	);


	$output ='
			<div class="hi-icon-effect">
              <div class="hi-icon '. esc_attr($vidi_icons) .'"></div>
              <div class="service-name">'. esc_attr($vidi_name) .'</div>
              <div class="service-text">'. esc_attr($vidi_text) .'</div>
            </div>';
	return $output;


};

/*Services*/
vc_map( array(
	"name" => __("Services",'vidi'),
	"base" => "vidi_services",
	"category" => __('Vidi','vidi'),
	"params" => array(
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_icons",
			"heading" => __("Icon", 'vidi'),
			"value" => 'icon-ecommerce-diamond',
			'description' => __( 'Select icon from <a href="https://dankov-themes.com/icon/vidi" target="_blank">here</a>.', 'vidi' ),
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_name",
			"heading" => __("Name", 'vidi'),
			"value" => 'Minimal Design',
		),
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "vidi_text",
			"heading" => __("Text", 'vidi'),
			"value" => 'Remainder household zealously the own unwilling roused escalate beautiful',
		),
	)
) );


