<?php
/*TESTIMONIAL  ITEM*/
add_shortcode('vc_testimonial_item', 'vc_testimonial_item_f');
function vc_testimonial_item_f( $atts, $content = null)
{
	extract(shortcode_atts(
		array(
			'id' => '',
			'light' => null,
		), $atts)
	);
	if ($light) $light = 'light';
	$post = get_post($id);
	$image = wp_get_attachment_image_src( get_post_thumbnail_id( $id ), 'vidi-wall-portfolio-squre'); 
	$title = $post->post_title;
	$content = $post->post_content;
	$output ='<div class="vidi_testimonial_holder">';
		$output .='<span class="vidi_testimonial_content_holder '. esc_attr($light) .'"><div class="vidi_tesimonial_content">'.$content.'</div></span>';
		$output .='<div class="clearfix"></div>';
		$output .='<div class="vidi_testimonial_author_holder"><div class="vidi_tesimonial_title">'.$title.'</div></div>';
	$output .='</div>';

	return $output;
};

vc_map( array(
	"name" => __("Testimonial Item",'vidi'),
	"base" => "vc_testimonial_item",
	"category" => __('Vidi','vidi'),
	"params" => array(
		array(
			"type" => "textfield",
			"admin_label" => true,
			"param_name" => "id",
			"heading" => __("Testimonial Item", 'vidi'),
			"value" => '',
			"description" => __( "Tesimonial ID", 'vidi' )
		),
                    array(
                        "type" => "checkbox",
                        "heading" => __("Light Style", 'vidi'),
                        "param_name" => "light",
                        "value" => array("Yes" => true),
                    ),
		
	)
) );
