<?php
/**
* Plugin Name: ViDi Testimonials
* Plugin URI: http://themeforest.net/user/Dankov
* Description: Testimonials Plugin
* Version: 1.0.0
* Author: DankovThemes
* Author URI: http://themeforest.net/user/Dankov
* License: 
*/

//Create Post Formats
add_action( 'init', 'vidi_testimonials' );
function vidi_testimonials() {
	register_post_type( 'testimonials',
		array(
			'menu_icon'           => 'dashicons-format-status',
			'labels' => array(
				'name' => __( 'Testimonials', 'vidi' ),
				'singular_name' => __( 'Testimonials', 'vidi' ),
				'new_item' => __( 'Add New testimonial', 'vidi' ),
				'add_new_item' => __( 'Add New testimonial', 'vidi' )
			),
			'public' => true,
			'has_archive' => false,
			'supports' => array( 'comments', 'editor', 'excerpt', 'thumbnail', 'title' ),
			'capability_type' => 'post',
			'show_ui' => true,
			'publicly_queryable' => true,
			'rewrite' => array('slug' => 'testimonials'),
		)
	);
}

?>